/* $Workfile: OsaLinuxDmp.h $   $Revision: 3 $    $Modtime: 9/16/08 12:28p $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 2007-2008, All Rights Reserved

*******************************************************************************/

#ifndef OSA_LINUX_DMP_H
#define OSA_LINUX_DMP_H

#include <asm/io.h>
#include <asm/arch/gio.h>

#ifdef DAVINCI

#ifdef __cplusplus
extern "C" {
#else
#endif

extern int OsaLinuxDmpInit(void (*func)(unsigned long));

extern int  OsaLinuxDmpOpen(void);

extern void OsaLinuxDmpClose(void);

//extern void OsaLinuxDmpWakeupIrq(void);

//extern int OsaLinuxDmpSetGpio(int gpioPin, int state);

//extern int OsaLinuxDmpGetGpioValue(int gpioPin);

//extern int OsaLinuxDmpSetGpioValue(int gpioPin, int value);

extern int OsaLinuxDmpReadReg32(unsigned long address, unsigned long *value);

extern int OsaLinuxDmpWriteReg32(unsigned long address, unsigned long value);

#ifdef __cplusplus
}
#endif

#endif // DAVINCI code only

#endif  // OSA_LINUX_DMP_H

